#10 new Config Variable for Localization support

closed
nobody
None
5
2009-08-11
2009-08-08
Mario Fetka
No

to easy the support for localised sounds/characters/data/... a new config variable would be greate

GameLocalizedOverridePath=this dir hold all the localized data/sound/characters/....

this way for every languge only a new config file is needed

Discussion

  • Mario Fetka
    Mario Fetka
    2009-08-08

    • summary: new Config Variable --> new Config Variable for Localization support
     
  • Could you add more info? E.g. how it's supposed to work and what data it should point to? Example? Is it needed for some version of games you have? Why it can't be achieved with multiple config files now?

     
  • Mario Fetka
    Mario Fetka
    2009-08-08

    the idea behind this flag is to get away from working with symlinks

    for example:
    Galdurs gate 2:
    has this nice hirarchy of
    characters
    sounds
    Movies
    data
    .
    for every of these dirs exists a localized version
    so my idea is to create
    for ex.
    English/characters
    English/sounds
    English/Movies
    English/data
    English

    and so on for all the supported langugas of BG2
    and add the suggested GameLocalizedOverridePath=English to a config file

    the config file is needed anyway (my english is sometimes not the best)
    a config files is needed for every languge but you dont have to work with links

    and for the game you only need to create a startscript that checks the users prefered language and run the the gemrb with the right config file.

     
  • Although I see the idea, I can't see why it would be of some interest to break the original game architecture and support multi localization.
    That would be useful if we provided our own localized datasets, but the fact is that we provide almost no content, and Bioware only supports one language when installing.
    That would be much simpler to make a bunch of scripts to do the links for you.

     
  • Laszlo Toth
    Laszlo Toth
    2009-08-10

    Is there unique content simultaneously in English and the default dir?
    I mean, would the dataset be incomplete without supporting both dirs simultaneously?

     
  • Mario Fetka
    Mario Fetka
    2009-08-10

    yes at the moment i am doing it with lndir to create a combined tree if the shared and for example the german subset

    lndir cd1/German German
    lndir Shared-German German
    lndir Shared German

    the interesting part is there are no conflicts in the dirs above
    yes the dataset would be incompleat if not both dirs (and in my case three dirs)
    are found at the same time

    for ex take a look at the chitin.key link
    ls -l /opt/BioWare/BaldursGate2/German/
    -rw-r----- 1 root games 8806 Aug 10 01:24 GemRB.cfg
    lrwxrwxrwx 1 root games 39 Aug 10 01:27 bg2-soapatchreadme.txt -> ../Shared-German/bg2-soapatchreadme.txt
    drwxr-x--- 2 root games 4096 Aug 10 01:27 cache
    drwxr-x--- 2 root games 4096 Aug 10 01:27 characters
    lrwxrwxrwx 1 root games 20 Aug 10 01:27 chitin.key -> ../Shared/chitin.key
    drwxr-x--- 2 root games 4096 Aug 10 01:27 data
    lrwxrwxrwx 1 root games 27 Aug 10 01:27 dialog.tlk -> ../Shared-German/dialog.tlk
    lrwxrwxrwx 1 root games 28 Aug 10 01:27 dialogf.tlk -> ../Shared-German/dialogf.tlk
    lrwxrwxrwx 1 root games 27 Aug 10 01:27 keymap.ini -> ../Shared-German/keymap.ini
    lrwxrwxrwx 1 root games 29 Aug 10 01:27 language.txt -> ../Shared-German/language.txt
    lrwxrwxrwx 1 root games 28 Aug 10 01:27 license.txt -> ../Shared-German/license.txt
    drwxr-x--- 2 root games 4096 Aug 10 01:27 movies
    drwxr-x--- 66 root games 4096 Aug 10 01:27 music
    drwxr-x--- 2 root games 4096 Aug 10 01:27 override
    lrwxrwxrwx 1 root games 27 Aug 10 01:27 readme.txt -> ../Shared-German/readme.txt
    drwxr-x--- 2 root games 12288 Aug 10 01:27 sounds

     
  • The question is, how did you end with such a directory tree? Is it clean install from some magazine CDs? Result of some patch you applied? Your attempt on cleaning the directory structure and praparation for translation? If it's from clean install, what is the contents of the original *.ini file?

     
  • Mario Fetka
    Mario Fetka
    2009-08-10

    it is not a clean install its a combination of 7z and unshield and lndir form http://www.tamacom.com/pathconvert.html (to get relative paphs)
    and istead of deciding a specific langugage i moved the languge specific files into its own dir

    the gentoo ebuild (bash script)
    http://tinyurl.com/l9oj9b
    to get a idea about the how

    it don't support the bg2tob at the moment)

     
  • Mario Fetka
    Mario Fetka
    2009-08-10

    a compleat list of my directory structure
    http://tinyurl.com/lty4sa

     
  • Jaka Kranjc
    Jaka Kranjc
    2009-08-11

    I also don't see much point in having this. If you'll have a script to run gemrb using different configs, it can just aswell change a few symlinks and make things work. Keep the different language dirs and just have the script use ln or lndir (where it's really needed) to point data, music, movies, override (...) to them. That way you'll also need just one config and no need to change it.

     
  • Note however, that you do not need to use scripts (or cli) to run GemRB with different configs. If you create a symlink bg2 pointing to gemrb binary, during startup it will (among others) look for ~/.gemrb/bg2.cfg , iirc.

    The problem with the additional override dir is that it would probably screw mod installation.

     
  • Mario Fetka
    Mario Fetka
    2009-08-11

    • status: open --> closed
     
  • Mario Fetka
    Mario Fetka
    2009-08-11

    ok thx for your suggestions